# std::wcscspn

From cppreference.com
< cpp‎ | string‎ | wide

Defined in header `<cwchar>` |  |
std::size_t wcscspn( const wchar_t* dest, const wchar_t* src ); |  |

Returns the length of the maximum initial segment of the wide string pointed to by `dest`, that consists of only the characters not found in wide string pointed to by `src`.

### Parameters

dest | - | pointer to the null-terminated wide string to be analyzed
src | - | pointer to the null-terminated wide string that contains the characters to search for

### Return value

The length of the maximum initial segment that contains only characters not found in the character string pointed to by `src`

### Example

| This section is incomplete Reason: no example

### See also

wcsspn | returns the length of the maximum initial segment that consists of only the wide characters found in another wide string (function)
wcspbrk | finds the first location of any wide character in one wide string, in another wide string (function)
C documentation for wcscspn

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/string/wide/wcscspn&oldid=59120"
Category:

- Todo no example